# ID Verification

Based on the input information provided, we give you a matching score comparing the information given and the ones found in official databases.

**ID identifiers supported**

<table><thead><tr><th width="202">Document</th><th> Database Check</th><th width="141">Identifier Used</th></tr></thead><tbody><tr><td><strong>OLD CNI</strong></td><td>                                        ✅</td><td>Document Number</td></tr><tr><td><strong>NEW CNI</strong></td><td>                                        ✅</td><td>NNI</td></tr><tr><td><strong>Resident Card</strong></td><td>                                        ✅</td><td>NNI</td></tr><tr><td><strong>MTN Phone Numbers</strong></td><td>                                        ✅</td><td>Phone number</td></tr></tbody></table>

<details>

<summary>Compute  Person Information Scoring (experimental)</summary>

**Endpoint** <mark style="background-color:green;">POST /verification/personInfoScore</mark>

**Headers**

* &#x20;**Api-Key** (required): provided by Danaya
* **Api-Secret** (required): provided by Danaya
* **Content-Type** (required): application/json

**Request Body**

In an API call, you must specify either `nni`, `idCardNumber`, or `phoneNumber`. Only one of these parameters should be provided at a time.

here you have to provide all user's informations as they are on the ID Document

```json
{
  "nni": "string",
  "iDCardNumber": "string",
  "firstName": "string",
  "phoneNumber": "string", // 2250XXXXXXXXX
  "lastName": "string",
  "dateOfBirth": "30/03/2024",//respect this format
  "gender": "string"
}
```

**Responses**

* **OK**
  * Code: 200
  * Body:

```json
{
  "id": 0,
  "nni": "string",
  "iDCardNumber": "string",
  "firstNameMatchingScore": 0,
  "lastNameMatchingScore": 0,
  "dateOfBirthMatchingScore": 0,
  "genderMatchingScore": 0
}
```

* **UnAuthorized**
* **Bad Request**

</details>


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.danaya.africa/documentation/integration-mode/rest-api/kyc/id-verification.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
